org.h2.mvstore

## Class RootReference<K,V>

- java.lang.Object
- - org.h2.mvstore.RootReference<K,V>

    public final class RootReference<K,V>
    extends java.lang.Object

Class RootReference is an immutable structure to represent state of the MVMap as a whole (not related to a particular B-Tree node). Single structure would allow for non-blocking atomic state change. The most important part of it is a reference to the root node.

### Field Summary

Fields
`Page<K,V>` `root` The root page.
`long` `version` The version used for writing.

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getTotalCount()`
`boolean` `isLockedByCurrentThread()`
`boolean` `needFlush()` Whether flushing is needed.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### root

    public final Page<K,V> root

The root page.

#### version

    public final long version

The version used for writing.

### Method Detail

#### isLockedByCurrentThread

    public boolean isLockedByCurrentThread()

#### needFlush

    public boolean needFlush()

Whether flushing is needed.

Returns:
  true if yes

#### getTotalCount

    public long getTotalCount()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`